package com.steerinfo.pretrack.pretrackscale.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkcaractualfirst.model.MeterWorkCarActualFirst;
import com.steerinfo.pretrack.pretrackscale.model.PreTrackScale;
import feign.Param;
import oracle.jdbc.proxy.annotation.Pre;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

@Mapper
public interface PreTrackScaleMapper extends IBaseMapper<PreTrackScale, String> {
    // 根据车号查询未使用和使用中的预报
    List<PreTrackScale> selectlist(@Param( value = "carNo") String carNo);

    List<PreTrackScale> likeByDesc(Map<String, Object> var1);
    List<PreTrackScale> likeByList(Map<String, Object> var1);
    List<PreTrackScale> webLikeByDesc(Map<String, Object> var1);
    List<PreTrackScale> noPageDesc(Map<String, Object> var1);

    List<PreTrackScale> selectuselist(@Param( value = "carNo") String carNo);

    List<PreTrackScale> selectView(Map<String, Objects> param);

    String getNewID(@Param(value="afl")String afl);

    List<PreTrackScale> selectBy(Map<String, Object> param);

    int batchUpdateSelective(List<PreTrackScale> list);

    //查询预报的有效天数，写在 SHIPMENT_NUM字段中
    List<PreTrackScale> selectScaleValidPeriod();

    List<PreTrackScale> selectByParameterDoubles(Map<String, Object> param);

    List<PreTrackScale> selectValueFlag(Map<String, Object> parameters);

    List<PreTrackScale> selectByCarNo(@Param( value = "carNo") String carNo, @Param( value = "valueFlag") String valueFlag);
    List<PreTrackScale> selectByCar(@Param( value = "carNo") String carNo);

    PreTrackScale selectBypredictionNo(@Param( value = "predictionNo") String predictionNo);
    List<PreTrackScale> selectByMap(Map<String, Object> var1);

    //净重数据维护界面----根据净重车号查询当前车号已匹配的委托和未使用的有效委托
    List<PreTrackScale> selectByScale(HashMap params);
    //汽车衡新一次补录界面的委托显示
    List<PreTrackScale> selectInUseAndNoUse(HashMap params);
}